# jekyll-theme-dscliu
<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-4-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END -->

[![Contributor Covenant](https://img.shields.io/badge/Contributor%20Covenant-v2.0%20adopted-ff69b4.svg)](code_of_conduct.md)
[![Gem Version](https://badge.fury.io/rb/jekyll-theme-dscliu.svg)](https://badge.fury.io/rb/jekyll-theme-dscliu)

Welcome to your new Jekyll theme! In this directory, you'll find the files you need to be able to package up your theme into a gem. Put your layouts in `_layouts`, your includes in `_includes`, your sass files in `_sass` and any other assets in `assets`.

To experiment with this code, add some sample content and run `bundle exec jekyll serve` – this directory is setup just like a Jekyll site!

TODO: Delete this and the text above, and describe your gem


## Installation

Add this line to your Jekyll site's `Gemfile`:

```ruby
gem "jekyll-theme-dscliu"
```

And add this line to your Jekyll site's `_config.yml`:

```yaml
theme: jekyll-theme-dscliu
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install jekyll-theme-dscliu

### Alternative Instalation

Using Jekyll Remote Theme

https://github.com/benbalter/jekyll-remote-theme

## Usage

TODO: Write usage instructions here. Describe your available layouts, includes, sass and/or assets.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/hello. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## Development

To set up your environment to develop this theme, run `bundle install`.

Your theme is setup just like a normal Jekyll site! To test your theme, run `bundle exec jekyll serve` and open your browser at `http://localhost:4000`. This starts a Jekyll server using your theme. Add pages, documents, data, etc. like normal to test your theme's contents. As you make modifications to your theme and to your content, your site will regenerate and you should see the changes in the browser after a refresh, just like normal.

When your theme is released, only the files in `_layouts`, `_includes`, `_sass` and `assets` tracked with Git will be bundled.
To add a custom directory to your theme-gem, please edit the regexp in `jekyll-theme-dscliu.gemspec` accordingly.

## License

The theme is licensed under the terms of the [GNU Affero General Public License v3.0 only](https://www.gnu.org/licenses/).

    jekyll-theme-dscliu: A Jekyll theme that is used by the DSC LIU Yemen Chapter
    Copyright (C) 2020  "Khaldoon Mutahar", "DSC LIU Yemen"

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://www.mutahar.me"><img src="https://avatars.githubusercontent.com/u/18140052?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Khaldoon Mutahar</b></sub></a><br /><a href="#business-kmutahar" title="Business development">💼</a> <a href="#infra-kmutahar" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#maintenance-kmutahar" title="Maintenance">🚧</a></td>
    <td align="center"><a href="https://github.com/safamoqbel-coder"><img src="https://avatars.githubusercontent.com/u/69394571?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Safa Moqbel</b></sub></a><br /><a href="#business-safamoqbel-coder" title="Business development">💼</a> <a href="https://github.com/kmutahar/jekyll-theme-dscliu/commits?author=safamoqbel-coder" title="Code">💻</a> <a href="#design-safamoqbel-coder" title="Design">🎨</a></td>
    <td align="center"><a href="https://github.com/mohammed0alhaddad"><img src="https://avatars.githubusercontent.com/u/69595340?v=4?s=100" width="100px;" alt=""/><br /><sub><b>mohammed0alhaddad</b></sub></a><br /><a href="https://github.com/kmutahar/jekyll-theme-dscliu/commits?author=mohammed0alhaddad" title="Code">💻</a> <a href="https://github.com/kmutahar/jekyll-theme-dscliu/issues?q=author%3Amohammed0alhaddad" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://github.com/ShEhAb0"><img src="https://avatars.githubusercontent.com/u/70029079?v=4?s=100" width="100px;" alt=""/><br /><sub><b>ShEhAb0</b></sub></a><br /><a href="https://github.com/kmutahar/jekyll-theme-dscliu/commits?author=ShEhAb0" title="Code">💻</a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!